Обновление IPFire, изменение условий лицензирования нескольких компонентов Qt и другие новости


 Alex    11 окт 2019 : 19:38

Подборка новостей за 11 октября 2019 года

Сегодня состоялся релиз обновления дистрибутива IPFire 2.23 Core Update 136. Оно содержит множество исправлений безопасности, ошибок и реализации нескольких новых возможностей. В частности оно содержит обновленную версию библиотеки OpenSSL 1.1.1d, содержащую важные исправления безопасности, базу данных GeoIP старого формата с актуальными данными, конфигурационные файлы межсетевого экрана с ограничением объема файлов журнала, обновленне версии пакетов apache 2.4.41, bind 9.11.10, clamav 0.101.4, dhcpcd 8.0.3, knot 2.8.3, logrotate 3.5.1, openssh 8.0p1, patch 2.7.6, texinfo 6.6, unbound 1.9.3 и usb_modeswitch 1.52. ISO-файлы доступны на странице загрузок официального сайта проекта.

Разработчики библиотеки Glib реализовали полезную функцию однократного вывода предупреждений g_warning_once(). Она позволяет не использовать дополнительную переменную и условный оператор для защиты от многократного вывода одинаковых предупреждений. Функция будет доступна в Glib 2.64.

Разработчики фреймворка Qt инициировали процесс смены лицензий некоторых его компонентов. Так, начиная с версии 5.14 компоненты Qt Wayland Compositor, Qt Application Manager и Qt PDF будут поставляться в соответствии с условиями лицензий GPL3/Commercial вместо LGPL3/Commercial. Данные компоненты предназначены для встраиваемых систем. Разработчикам, желающим создавать на их основе закрытые приложения, придется приобретать коммерческую лицензию для фреймворка Qt.